ClosureModel (Groovy 3.0.9)

Package groovy.model

## Class ClosureModel

- java.lang.Object
- - groovy.model.ClosureModel

- All Implemented Interfaces:
    `NestedValueModel`, `ValueModel`

      @Deprecated
      public class ClosureModel
      extends Object
      implements ValueModel, NestedValueModel

  Deprecated.
  Represents a value model using a closure to extract the value from some source model and an optional write closure for updating the value.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClosureModel​(ValueModel sourceModel, Closure readClosure)` | Deprecated.
    `ClosureModel​(ValueModel sourceModel, Closure readClosure, Closure writeClosure)` | Deprecated.
    `ClosureModel​(ValueModel sourceModel, Closure readClosure, Closure writeClosure, Class type)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ValueModel` | `getSourceModel()` | Deprecated.
    `Class` | `getType()` | Deprecated.
    `Object` | `getValue()` | Deprecated.
    `boolean` | `isEditable()` | Deprecated.
    `void` | `setValue​(Object value)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClosureModel

          public ClosureModel​(ValueModel sourceModel,
                              Closure readClosure)

      Deprecated.

    - #### ClosureModel

          public ClosureModel​(ValueModel sourceModel,
                              Closure readClosure,
                              Closure writeClosure)

      Deprecated.

    - #### ClosureModel

          public ClosureModel​(ValueModel sourceModel,
                              Closure readClosure,
                              Closure writeClosure,
                              Class type)

      Deprecated.

  - ### Method Detail

    - #### getSourceModel

          public ValueModel getSourceModel()

      Deprecated.
      Specified by:
        `getSourceModel` in interface `NestedValueModel`

    - #### getValue

          public Object getValue()

      Deprecated.
      Specified by:
        `getValue` in interface `ValueModel`

    - #### setValue

          public void setValue​(Object value)

      Deprecated.
      Specified by:
        `setValue` in interface `ValueModel`

    - #### getType

          public Class getType()

      Deprecated.
      Specified by:
        `getType` in interface `ValueModel`

    - #### isEditable

          public boolean isEditable()

      Deprecated.
      Specified by:
        `isEditable` in interface `ValueModel`